window.Gleam.initSearch([{"doc":"lzf_gleam","title":"lzf_gleam","content":"# lzf_gleam\n\nCompress and decompress using LZF algorithm\n\n[![Package Version](https://img.shields.io/hexpm/v/lzf_gleam)](https://hex.pm/packages/lzf_gleam)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/lzf_gleam/)\n\n```sh\ngleam add lzf_gleam\n```\n```gleam\nimport lzf\n\npub fn main() {\n  // Compression:\n  &quot;abcabcabcabcabcabc&quot; |&gt; compress\n  // &lt;&lt;3, 97, 98, 99, 240, 3, 240, 9, 1, 99&gt;&gt;\n  \n  // Decompression\n  &lt;&lt;3, 97, 98, 99, 240, 3, 240, 9, 1, 99&gt;&gt; |&gt; decompress\n  // &quot;abcabcabcabcabcabc&quot;\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/lzf_gleam&gt;.\n\n## Development\n\n```sh\ngleam run   # Run the project\ngleam test  # Run the tests\ngleam shell # Run an Erlang shell\n```\n","url":"index.html"},{"doc":"internal/back_ref","title":"BackRef","content":"pub type BackRef {\n  BackRef(len: Int, offset: Int)\n}\n\nBackRef(len: Int, offset: Int)\n\n\nSynonyms:\ninternal/back_ref.BackRef\ninternal/back_ref BackRef","url":"internal/back_ref.html#BackRef"},{"doc":"internal/back_ref","title":"resolve","content":"pub fn resolve(\n  ref: BackRef,\n  data: BitArray,\n  current_pos: Int,\n) -&gt; Result(String, Nil)\n\nSynonyms:\ninternal/back_ref.resolve\ninternal/back_ref resolve","url":"internal/back_ref.html#resolve"},{"doc":"internal/back_ref","title":"to_bit_array","content":"pub fn to_bit_array(ref: BackRef) -&gt; BitArray\n\nSynonyms:\ninternal/back_ref.to_bit_array\ninternal/back_ref to_bit_array","url":"internal/back_ref.html#to_bit_array"},{"doc":"internal/back_ref","title":"to_string","content":"pub fn to_string(ref: BackRef) -&gt; String\n\nSynonyms:\ninternal/back_ref.to_string\ninternal/back_ref to_string","url":"internal/back_ref.html#to_string"},{"doc":"internal/back_ref","title":"internal/back_ref","content":"","url":"internal/back_ref.html"},{"doc":"lzf_gleam","title":"compress","content":"pub fn compress(input: String) -&gt; BitArray\n\nSynonyms:\nlzf_gleam.compress\nlzf_gleam compress","url":"lzf_gleam.html#compress"},{"doc":"lzf_gleam","title":"decompress","content":"pub fn decompress(data: BitArray) -&gt; Result(String, String)\n\nSynonyms:\nlzf_gleam.decompress\nlzf_gleam decompress","url":"lzf_gleam.html#decompress"},{"doc":"lzf_gleam","title":"lzf_gleam","content":"","url":"lzf_gleam.html"}]);